
REGISTRY := registry.gitlab.com/royragsdale/fuzzing-measurement

images = ci-runner afl-plot

builds = $(addprefix build-, $(images))
pushes = $(addprefix push-, $(images))

.PHONY: build
build: $(builds)

.PHONY: $(builds)
$(builds): IMG = $(subst build-,,$@)
$(builds):
	@echo "[+] Building image ${IMG}"
	cd ${IMG} && docker build -t ${REGISTRY}/${IMG}:latest .

.PHONY: push
push: $(pushes)

.PHONY: $(pushes)
$(pushes): IMG = $(subst push-,,$@)
$(pushes):
	@echo "[+] Push image ${IMG}"
	docker push ${REGISTRY}/${IMG}:latest

